%define url_ver    %(echo %{version}|cut -d. -f1,2)

%define gi_major 1.0
%define girname %mklibname %{name}-gir %{gi_major}

%define __provides_exclude_from %{_libdir}/eom/plugins/.*\\.so

Name:       eom
Version: 1.28.0
Release: %mkrel 1
Summary:    Eye of MATE image viewer
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
URL:        http://mate-desktop.org
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gtk+-unix-print-3.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.30.0
BuildRequires: pkgconfig(libexif) >= 0.6.14
BuildRequires: pkgconfig(exempi-2.0) >= 1.99.5
BuildRequires: pkgconfig(libart-2.0)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(libxml-2.0) >= 2.0
BuildRequires: pkgconfig(librsvg-2.0) >= 2.36.2
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(dbus-glib-1) >= 0.71
BuildRequires: pkgconfig(shared-mime-info) >= 0.20
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libpeas-1.0) >= 1.2.0
BuildRequires: pkgconfig(libpeas-gtk-1.0) >= 1.2.0
BuildRequires: pkgconfig(libjpeg)
BuildRequires: itstool
BuildRequires: mate-common

Requires: librsvg
Requires: mate-icon-theme
Requires: gsettings-desktop-schemas
Requires: glibc >= 2.33

Obsoletes: mate-image-viewer
Provides: mate-image-viewer = %{version}-%{release}


%description
This is the Eye of MATE, an image viewer program.  It is meant to be
a fast and functional image viewer.

Eye of MATE is a fork of Eye of GNOME.

%package    devel
Summary:    C headers needed to build EOM plugins
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

Obsoletes: mate-image-viewer-devel
Provides: mate-image-viewer-devel = %{version}-%{release}

%description devel
The Eye of MATE image viewer (eom) is the official image viewer for the
MATE desktop. This package allows you to develop plugins that add new
functionality to eom.

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q

%build
%configure2_5x \
    --disable-static \
    --with-x \
    --enable-introspection \
    --with-cms \
    --disable-schemas-compile

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome

%files -f %name.lang
%{_bindir}/eom
%{_mandir}/man1/eom.*
%dir %{_libdir}/eom/
%dir %{_libdir}/eom/plugins/
%{_libdir}/eom/plugins/fullscreen.plugin
%{_libdir}/eom/plugins/libfullscreen.so
%{_libdir}/eom/plugins/reload.plugin
%{_libdir}/eom/plugins/libreload.so
%{_libdir}/eom/plugins/statusbar-date.plugin
%{_libdir}/eom/plugins/libstatusbar-date.so
%{_datadir}/applications/eom.desktop
%{_datadir}/metainfo/eom.appdata.xml
%{_datadir}/eom/
%{_datadir}/icons/hicolor/*/apps/eom.*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.enums.xml
%{_libdir}/girepository-1.0/Eom-%{gi_major}.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/eom/
%{_libdir}/pkgconfig/eom.pc
%{_includedir}/eom-2.20/
%{_datadir}/gir-1.0/Eom-%{gi_major}.gir

%files doc
%{_datadir}/help


%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Wed Feb 14 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
